#!/usr/bin/env python

import math
import sys

import demosat

def square(x):
	return x * x

for state in demosat.get_states(sys.stdin):
	a = [x.value for x in state.acceleration]
	if a[0] is None or a[1] is None or a[2] is None:
		continue
	length = math.sqrt(square(a[0]) + square(a[1]) + square(a[2]))
	print "%.3f %.10f %.10f %.10f %.10f" \
		% (state.seconds_elapsed, a[0], a[1], a[2], length)
